# all the tarball versions
%define miscver		1.0.0
%define dpi100ver	1.0.0
%define dpi75ver	1.0.0
%define cursorver	1.0.0
%define aliasver	1.0.1

Name: lsbsi-fonts
Version: 1.0.0
Release: %rel
Summary: X fonts for the Sample Implementation
Group: System/X11
Requires: lsb >= 3.2
Source0: http://xorg.freedesktop.org/releases/individual/font/font-misc-misc-%{miscver}.tar.bz2
Source1: http://xorg.freedesktop.org/releases/individual/font/font-bitstream-100dpi-%{dpi100ver}.tar.bz2
Source2: http://xorg.freedesktop.org/releases/individual/font/font-bitstream-75dpi-%{dpi75ver}.tar.bz2
Source3: http://xorg.freedesktop.org/releases/individual/font/font-cursor-misc-%{cursorver}.tar.bz2
Source4: http://xorg.freedesktop.org/releases/individual/font/font-alias-%{aliasver}.tar.bz2
Source5: https://fedorahosted.org/releases/l/i/liberation-fonts-1.04.tar.gz

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

# LSB toolchain
BuildRequires: lsb-build-cc
BuildRequires: lsb-build-desktop

License: Various

%description
This package includes the 75dpi, 100dpi, misc fonts for installation
in the LSB Sample Implementation (SI)

#------------------------------------------------------------------------------

%prep
%setup -q -c -n %{name}-%{version} -a1 -a2 -a3 -a4 -a5

%build
%define lsbroot /opt/lsb
%define _includedir %{lsbroot}/include
%ifarch ppc64 s390x x86_64
%define _libdir %{lsbroot}/lib64
%else
%define _libdir %{lsbroot}/lib
%endif
%define fontdir /usr/X11R6/lib/X11/fonts

TOPDIR=`pwd`

# misc font
export MAPS_CFLAGS="-I%{_includedir}"
export MAPS_LIBS="-L%{_libdir}"

pushd font-misc-misc-%{miscver}
if [ -f /etc/SuSE-release ];then
  sed -i 's|\$(pkg-config --variable=mapdir fontutil)|/usr/X11R6/lib/X11/fonts/util|' configure
fi

./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/misc

make
popd

# cursor font
pushd font-cursor-misc-%{cursorver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/misc

make
popd

#100dpi font
pushd font-bitstream-100dpi-%{dpi100ver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/100dpi

make
popd

#75dpi font
pushd font-bitstream-75dpi-%{dpi75ver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-fontdir=%{fontdir}/75dpi

make
popd

#font aliases
pushd font-alias-%{aliasver}
./configure 	--x-includes=%{_includedir} \
		--x-libraries=%{_libdir} \
		--with-top-fontdir=%{fontdir}

make
popd

%install
rm -rf %{buildroot}

# license files
install -d %{buildroot}%{lsbroot}/doc/%{name}
install font-misc-misc-%{miscver}/COPYING %{buildroot}%{lsbroot}/doc/%{name}/COPYING-misc
install font-cursor-misc-%{cursorver}/COPYING %{buildroot}%{lsbroot}/doc/%{name}/COPYING-cursor
install font-bitstream-100dpi-%{dpi100ver}/COPYING %{buildroot}%{lsbroot}/doc/%{name}/COPYING-100dpi
install font-bitstream-75dpi-%{dpi75ver}/COPYING %{buildroot}%{lsbroot}/doc/%{name}/COPYING-75dpi
install liberation-fonts-1.04/COPYING %{buildroot}%{lsbroot}/doc/%{name}/COPYING-liberation
install liberation-fonts-1.04/License.txt %{buildroot}%{lsbroot}/doc/%{name}/License-liberation.txt

# fonts
install -d %{buildroot}/%{fontdir}/{100dpi,75dpi,misc}
make -C font-misc-misc-%{miscver} DESTDIR=%{buildroot} install
make -C font-cursor-misc-%{cursorver} DESTDIR=%{buildroot} install
make -C font-bitstream-100dpi-%{dpi100ver} DESTDIR=%{buildroot} install
make -C font-bitstream-75dpi-%{dpi75ver} DESTDIR=%{buildroot} install

#liberation fonts
install -d %{buildroot}/%{fontdir}/TTF/liberation
pushd liberation-fonts-1.04
mkfontdir
mkfontscale
cp *.ttf %{buildroot}/%{fontdir}/TTF/liberation
cp fonts.dir fonts.scale %{buildroot}/%{fontdir}/TTF/liberation
popd

#unpackaged files
rm -f %{buildroot}/%{fontdir}/cyrillic/fonts.alias
 
%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%dir %{fontdir}
%dir %{fontdir}/100dpi
%{fontdir}/100dpi/*
%dir %{fontdir}/75dpi
%{fontdir}/75dpi/*
%dir %{fontdir}/misc
%{fontdir}/misc/*
%dir %{fontdir}/TTF
%dir %{fontdir}/TTF/liberation
%{fontdir}/TTF/liberation/*
%dir %{lsbroot}/doc/%{name}
%{lsbroot}/doc/%{name}/COPYING*
%{lsbroot}/doc/%{name}/License*

%changelog
* Thu Jun 19 2008 Stew Benedict <stewb@linux-foundation.org>
- add liberation fonts so lsb-scribus is happier

* Wed Jun 11 2008 Stew Benedict <stewb@linux-foundation.org>
- New package derived from lsb-xvfb - for use in the si
